Package org.drinkless.tdlib

# Class TdApi.SetMessageFactCheck

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetMessageFactCheck

Enclosing class:
  `TdApi`

public static class TdApi.SetMessageFactCheck extends TdApi.Function<TdApi.Ok>
Changes the fact-check of a message. Can be only used if messageProperties.canSetFactCheck == true.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The channel chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message.
  `TdApi.FormattedText`
  `text`
  New text of the fact-check; 0-getOption("fact_check_length_max") characters; pass null to remove it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetMessageFactCheck()`
  Default constructor for a function, which changes the fact-check of a message.
  `SetMessageFactCheck(long chatId, long messageId, TdApi.FormattedText text)`
  Creates a function, which changes the fact-check of a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The channel chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### text

    public TdApi.FormattedText text
    New text of the fact-check; 0-getOption("fact_check_length_max") characters; pass null to remove it. Only Bold, Italic, and TextUrl entities with https://t.me/ links are supported.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetMessageFactCheck

    public SetMessageFactCheck()
    Default constructor for a function, which changes the fact-check of a message. Can be only used if messageProperties.canSetFactCheck == true.

    Returns `Ok`

  - ### SetMessageFactCheck

    public SetMessageFactCheck(long chatId, long messageId, TdApi.FormattedText text)
    Creates a function, which changes the fact-check of a message. Can be only used if messageProperties.canSetFactCheck == true.

    Returns `Ok`

    Parameters:
      `chatId` - The channel chat the message belongs to.
      `messageId` - Identifier of the message.
      `text` - New text of the fact-check; 0-getOption("fact_check_length_max") characters; pass null to remove it. Only Bold, Italic, and TextUrl entities with https://t.me/ links are supported.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR